# DataExchange
TKSTEP
StepAP214

# StepAP214_AppliedDateAssignment Class Reference

`#include <StepAP214_AppliedDateAssignment.hxx>`

Inheritance diagram for StepAP214_AppliedDateAssignment:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP214_AppliedDateAssignment ()
| Returns a AppliedDateAssignment .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_Date)&aAssignedDate, const Handle(StepBasic_DateRole)&aRole)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_Date)&aAssignedDate, const Handle(StepBasic_DateRole)&aRole, const Handle(StepAP214_HArray1OfDateItem)&aItems)
Standard_EXPORT void | SetItems (const Handle(StepAP214_HArray1OfDateItem)&aItems)
Standard_EXPORT Handle_StepAP214_HArray1OfDateItem | Items () const
Standard_EXPORT StepAP214_DateItem | ItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP214_HArray1OfDateItem | items

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AppliedDateAssignment::StepAP214_AppliedDateAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AppliedDateAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_DateAssignment.

virtual Standard_EXPORT void StepAP214_AppliedDateAssignment::Init | ( | const Handle(StepBasic_Date)& | aAssignedDate,
|  | const Handle(StepBasic_DateRole)& | aRole,
|  | const Handle(StepAP214_HArray1OfDateItem)& | aItems
| ) | `[virtual]`

virtual Standard_EXPORT void StepAP214_AppliedDateAssignment::Init | ( | const Handle(StepBasic_Date)& | aAssignedDate,
|  | const Handle(StepBasic_DateRole)& | aRole
| ) | `[virtual]`

| Reimplemented from StepBasic_DateAssignment.

Standard_EXPORT Handle_StepAP214_HArray1OfDateItem StepAP214_AppliedDateAssignment::Items | ( |  | ) | const

Standard_EXPORT StepAP214_DateItem StepAP214_AppliedDateAssignment::ItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepAP214_AppliedDateAssignment::NbItems | ( |  | ) | const

Standard_EXPORT void StepAP214_AppliedDateAssignment::SetItems | ( | const Handle(StepAP214_HArray1OfDateItem)& | aItems | ) |

## Field Documentation

Handle_StepAP214_HArray1OfDateItem StepAP214_AppliedDateAssignment::items `[private]`

The documentation for this class was generated from the following file:

- StepAP214_AppliedDateAssignment.hxx